import type { ExtractPropTypes, PropType } from 'vue';
import type { Dayjs } from 'dayjs';
import { type CommonProps } from 'ant-design-vue/es/date-picker/generatePicker/props';
declare const rangeProps: {
    allowEmpty: {
        type: PropType<[boolean, boolean]>;
    };
    dateRender: {
        type: PropType<import("ant-design-vue/es/vc-picker/RangePicker").RangeDateRender<Dayjs>>;
    };
    defaultPickerValue: {
        type: PropType<[string, string] | [Dayjs, Dayjs]>;
    };
    defaultValue: {
        type: PropType<[string, string] | [Dayjs, Dayjs]>;
    };
    value: {
        type: PropType<[string, string] | [Dayjs, Dayjs]>;
    };
    disabledTime: {
        type: PropType<(date: import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, type: import("ant-design-vue/es/vc-picker/RangePicker").RangeType) => import("ant-design-vue/es/vc-picker/interface").DisabledTimes>;
    };
    disabled: {
        type: PropType<boolean | [boolean, boolean]>;
    };
    format: StringConstructor;
    renderExtraFooter: {
        type: PropType<() => import("ant-design-vue/es/_util/type").VueNode>;
    };
    separator: {
        type: StringConstructor;
    };
    ranges: {
        type: PropType<Record<string, [Dayjs, Dayjs] | (() => [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>])>>;
    };
    placeholder: ArrayConstructor;
    mode: {
        type: PropType<[import("ant-design-vue/es/vc-picker/interface").PanelMode, import("ant-design-vue/es/vc-picker/interface").PanelMode]>;
    };
    onChange: {
        type: PropType<(value: [import("ant-design-vue/es/vc-picker/interface").EventValue<string>, import("ant-design-vue/es/vc-picker/interface").EventValue<string>] | [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>] | null, dateString: [string, string]) => void>;
    };
    'onUpdate:value': {
        type: PropType<(value: [import("ant-design-vue/es/vc-picker/interface").EventValue<string>, import("ant-design-vue/es/vc-picker/interface").EventValue<string>] | [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>] | null) => void>;
    };
    onCalendarChange: {
        type: PropType<(values: [import("ant-design-vue/es/vc-picker/interface").EventValue<string>, import("ant-design-vue/es/vc-picker/interface").EventValue<string>] | [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>] | null, formatString: [string, string], info: import("ant-design-vue/es/vc-picker/RangePicker").RangeInfo) => void>;
    };
    onPanelChange: {
        type: PropType<(values: [import("ant-design-vue/es/vc-picker/interface").EventValue<string>, import("ant-design-vue/es/vc-picker/interface").EventValue<string>] | [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>] | null, modes: [import("ant-design-vue/es/vc-picker/interface").PanelMode, import("ant-design-vue/es/vc-picker/interface").PanelMode]) => void>;
    };
    onOk: {
        type: PropType<(dates: [import("ant-design-vue/es/vc-picker/interface").EventValue<string>, import("ant-design-vue/es/vc-picker/interface").EventValue<string>] | [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>] | null) => void>;
    };
};
export declare type RangePickerProps = Partial<ExtractPropTypes<typeof rangeProps>>;
export declare const fieldRangePickerProps: {
    fieldProps: {
        type: PropType<CommonProps<Dayjs> & Partial<ExtractPropTypes<{
            allowEmpty: {
                type: PropType<[boolean, boolean]>;
            };
            dateRender: {
                type: PropType<import("ant-design-vue/es/vc-picker/RangePicker").RangeDateRender<Dayjs>>;
            };
            defaultPickerValue: {
                type: PropType<[string, string] | [Dayjs, Dayjs]>;
            };
            defaultValue: {
                type: PropType<[string, string] | [Dayjs, Dayjs]>;
            };
            value: {
                type: PropType<[string, string] | [Dayjs, Dayjs]>;
            };
            disabledTime: {
                type: PropType<(date: import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, type: import("ant-design-vue/es/vc-picker/RangePicker").RangeType) => import("ant-design-vue/es/vc-picker/interface").DisabledTimes>;
            };
            disabled: {
                type: PropType<boolean | [boolean, boolean]>;
            };
            format: StringConstructor;
            renderExtraFooter: {
                type: PropType<() => import("ant-design-vue/es/_util/type").VueNode>;
            };
            separator: {
                type: StringConstructor;
            };
            ranges: {
                type: PropType<Record<string, [Dayjs, Dayjs] | (() => [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>])>>;
            };
            placeholder: ArrayConstructor;
            mode: {
                type: PropType<[import("ant-design-vue/es/vc-picker/interface").PanelMode, import("ant-design-vue/es/vc-picker/interface").PanelMode]>;
            };
            onChange: {
                type: PropType<(value: [import("ant-design-vue/es/vc-picker/interface").EventValue<string>, import("ant-design-vue/es/vc-picker/interface").EventValue<string>] | [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>] | null, dateString: [string, string]) => void>;
            };
            'onUpdate:value': {
                type: PropType<(value: [import("ant-design-vue/es/vc-picker/interface").EventValue<string>, import("ant-design-vue/es/vc-picker/interface").EventValue<string>] | [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>] | null) => void>;
            };
            onCalendarChange: {
                type: PropType<(values: [import("ant-design-vue/es/vc-picker/interface").EventValue<string>, import("ant-design-vue/es/vc-picker/interface").EventValue<string>] | [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>] | null, formatString: [string, string], info: import("ant-design-vue/es/vc-picker/RangePicker").RangeInfo) => void>;
            };
            onPanelChange: {
                type: PropType<(values: [import("ant-design-vue/es/vc-picker/interface").EventValue<string>, import("ant-design-vue/es/vc-picker/interface").EventValue<string>] | [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>] | null, modes: [import("ant-design-vue/es/vc-picker/interface").PanelMode, import("ant-design-vue/es/vc-picker/interface").PanelMode]) => void>;
            };
            onOk: {
                type: PropType<(dates: [import("ant-design-vue/es/vc-picker/interface").EventValue<string>, import("ant-design-vue/es/vc-picker/interface").EventValue<string>] | [import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>, import("ant-design-vue/es/vc-picker/interface").EventValue<Dayjs>] | null) => void>;
            };
        }>>>;
    };
    render: {
        type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
    };
    renderFormItem: {
        type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
    };
    text: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
    };
    mode: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
        default: string;
    };
    plain: {
        type: PropType<boolean>;
    };
    light: {
        type: PropType<boolean>;
    };
    valueEnum: {
        type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
    };
    label: {
        type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: {
                [key: string]: any;
            } | undefined;
        }>;
    };
};
export declare type FieldRangePickerProps = Partial<ExtractPropTypes<typeof fieldRangePickerProps>>;
export declare type RangePickerValueType = [string, string] | [Dayjs, Dayjs];
export declare type RangesType = Record<string, [Dayjs, Dayjs] | (() => [Dayjs, Dayjs])>;
export {};
