import { Plugin, PropType, ExtractPropTypes } from "vue";
import { type ProFieldRequestData, ProFieldValueEnumType, ProSchemaValueEnumObj, VueNode } from "@ant-design-vue/pro-utils";
export declare const proFieldParsingText: (text: string | number | (string | number)[], valueEnumParams: ProFieldValueEnumType, key?: string | number | undefined) => VueNode;
export declare const fieldSelectProps: {
    fieldProps: {
        type: PropType<Partial<ExtractPropTypes<{
            fetchDataOnSearch: {
                type: PropType<boolean>;
                default: boolean;
            };
            request: {
                type: PropType<ProFieldRequestData<any>>;
            };
            option: {
                type: PropType<(props: import("ant-design-vue/es/select").DefaultOptionType) => VueNode>;
            };
            default: {
                type: PropType<(props: import("ant-design-vue/es/select").DefaultOptionType) => VueNode>;
            };
            fetchData: {
                type: PropType<(value: string) => void>;
            };
            resetData: {
                type: PropType<() => void>;
            };
            value: {
                type: PropType<import("ant-design-vue/es/select").SelectValue>;
            };
            defaultValue: {
                type: PropType<import("ant-design-vue/es/select").SelectValue>;
            };
            notFoundContent: import("vue-types").VueTypeValidableDef<any>;
            suffixIcon: import("vue-types").VueTypeValidableDef<any>;
            itemIcon: import("vue-types").VueTypeValidableDef<any>;
            size: PropType<import("ant-design-vue/es/button").ButtonSize>;
            mode: PropType<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
            bordered: {
                type: BooleanConstructor;
                default: boolean;
            };
            transitionName: StringConstructor;
            choiceTransitionName: {
                type: StringConstructor;
                default: string;
            };
            'onUpdate:value': PropType<(val: import("ant-design-vue/es/select").SelectValue) => void>;
            onFocus: {
                type: PropType<(e: FocusEvent) => void>;
            };
            onBlur: {
                type: PropType<(e: FocusEvent) => void>;
            };
            onChange: PropType<(value: import("ant-design-vue/es/select").SelectValue, option: import("ant-design-vue/es/select").DefaultOptionType | import("ant-design-vue/es/select").DefaultOptionType[]) => void>;
            onKeydown: PropType<(e: KeyboardEvent) => void>;
            onKeyup: PropType<(e: KeyboardEvent) => void>;
            onClick: PropType<(e: MouseEvent) => void>;
            onMousedown: PropType<(e: MouseEvent) => void>;
            onMouseenter: PropType<(e: MouseEvent) => void>;
            onMouseleave: PropType<(e: MouseEvent) => void>;
            onSelect: PropType<import("ant-design-vue/es/vc-select/Select").SelectHandler<(string | number) | import("ant-design-vue/es/select").LabeledValue, import("ant-design-vue/es/select").DefaultOptionType>>;
            prefixCls: StringConstructor;
            direction: {
                type: PropType<"ltr" | "rtl">;
            };
            open: {
                type: BooleanConstructor;
                default: any;
            };
            animation: StringConstructor;
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            tabindex: NumberConstructor;
            getPopupContainer: {
                type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").RenderDOMFunc>;
            };
            virtual: {
                type: BooleanConstructor;
                default: any;
            };
            dropdownMatchSelectWidth: {
                type: PropType<number | boolean>;
                default: any;
            };
            children: PropType<import("ant-design-vue/es/_util/type").VueNode[]>;
            showAction: {
                type: PropType<("click" | "focus")[]>;
            };
            id: StringConstructor;
            placement: {
                type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").Placement>;
            };
            autofocus: BooleanConstructor;
            options: PropType<import("ant-design-vue/es/select").DefaultOptionType[]>;
            fieldNames: PropType<import("ant-design-vue/es/vc-select/Select").FieldNames>;
            dropdownStyle: {
                type: PropType<import("vue").CSSProperties>;
            };
            dropdownClassName: StringConstructor;
            dropdownRender: {
                type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").DropdownRender>;
            };
            dropdownAlign: PropType<import("ant-design-vue/es/vc-trigger/interface").AlignType>;
            placeholder: import("vue-types").VueTypeValidableDef<any>;
            loading: {
                type: BooleanConstructor;
                default: any;
            };
            showSearch: {
                type: BooleanConstructor;
                default: any;
            };
            searchValue: StringConstructor;
            onInputKeyDown: PropType<(e: KeyboardEvent) => void>;
            removeIcon: import("vue-types").VueTypeValidableDef<any>;
            maxTagCount: {
                type: PropType<number | "responsive">;
            };
            maxTagTextLength: NumberConstructor;
            maxTagPlaceholder: import("vue-types").VueTypeValidableDef<any>;
            tokenSeparators: {
                type: PropType<string[]>;
            };
            tagRender: {
                type: PropType<(props: import("ant-design-vue/es/vc-select/BaseSelect").CustomTagProps) => any>;
            };
            optionLabelRender: {
                type: PropType<(option: Record<string, any>) => any>;
            };
            onSearch: PropType<(value: string) => void>;
            onClear: PropType<() => void>;
            defaultOpen: {
                type: BooleanConstructor;
                default: any;
            };
            onDropdownVisibleChange: {
                type: PropType<(open: boolean) => void>;
            };
            allowClear: {
                type: BooleanConstructor;
                default: any;
            };
            showArrow: {
                type: BooleanConstructor;
                default: any;
            };
            clearIcon: import("vue-types").VueTypeValidableDef<any>;
            onPopupScroll: PropType<(e: UIEvent) => void>;
            menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<any>;
            listHeight: NumberConstructor;
            listItemHeight: NumberConstructor;
            inputValue: StringConstructor;
            autoClearSearchValue: {
                type: BooleanConstructor;
                default: any;
            };
            onDeselect: PropType<import("ant-design-vue/es/vc-select/Select").SelectHandler<(string | number) | import("ant-design-vue/es/select").LabeledValue, import("ant-design-vue/es/select").DefaultOptionType>>;
            filterOption: {
                type: PropType<boolean | import("ant-design-vue/es/vc-select/Select").FilterFunc<import("ant-design-vue/es/select").DefaultOptionType>>;
                default: any;
            };
            filterSort: PropType<(optionA: import("ant-design-vue/es/select").DefaultOptionType, optionB: import("ant-design-vue/es/select").DefaultOptionType) => number>;
            optionFilterProp: StringConstructor;
            optionLabelProp: StringConstructor;
            defaultActiveFirstOption: {
                type: BooleanConstructor;
                default: any;
            };
            labelInValue: {
                type: BooleanConstructor;
                default: any;
            };
        }>>>;
    };
    request: {
        type: PropType<ProFieldRequestData<any>>;
    };
    render: {
        type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => VueNode>;
    };
    renderFormItem: {
        type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => VueNode>;
    };
    text: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
    };
    mode: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
        default: string;
    };
    plain: {
        type: PropType<boolean>;
    };
    light: {
        type: PropType<boolean>;
    };
    valueEnum: {
        type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
    };
    label: {
        type: PropType<VueNode>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: {
                [key: string]: any;
            } | undefined;
        }>;
    };
};
export declare type FieldSelectProps = Partial<ExtractPropTypes<typeof fieldSelectProps>>;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{}> & Omit<Readonly<Partial<ExtractPropTypes<{
            fieldProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    fetchDataOnSearch: {
                        type: PropType<boolean>;
                        default: boolean;
                    };
                    request: {
                        type: PropType<ProFieldRequestData<any>>;
                    };
                    option: {
                        type: PropType<(props: import("ant-design-vue/es/select").DefaultOptionType) => VueNode>;
                    };
                    default: {
                        type: PropType<(props: import("ant-design-vue/es/select").DefaultOptionType) => VueNode>;
                    };
                    fetchData: {
                        type: PropType<(value: string) => void>;
                    };
                    resetData: {
                        type: PropType<() => void>;
                    };
                    value: {
                        type: PropType<import("ant-design-vue/es/select").SelectValue>;
                    };
                    defaultValue: {
                        type: PropType<import("ant-design-vue/es/select").SelectValue>;
                    };
                    notFoundContent: import("vue-types").VueTypeValidableDef<any>;
                    suffixIcon: import("vue-types").VueTypeValidableDef<any>;
                    itemIcon: import("vue-types").VueTypeValidableDef<any>;
                    size: PropType<import("ant-design-vue/es/button").ButtonSize>;
                    mode: PropType<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
                    bordered: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    transitionName: StringConstructor;
                    choiceTransitionName: {
                        type: StringConstructor;
                        default: string;
                    };
                    'onUpdate:value': PropType<(val: import("ant-design-vue/es/select").SelectValue) => void>;
                    onFocus: {
                        type: PropType<(e: FocusEvent) => void>;
                    };
                    onBlur: {
                        type: PropType<(e: FocusEvent) => void>;
                    };
                    onChange: PropType<(value: import("ant-design-vue/es/select").SelectValue, option: import("ant-design-vue/es/select").DefaultOptionType | import("ant-design-vue/es/select").DefaultOptionType[]) => void>;
                    onKeydown: PropType<(e: KeyboardEvent) => void>;
                    onKeyup: PropType<(e: KeyboardEvent) => void>;
                    onClick: PropType<(e: MouseEvent) => void>;
                    onMousedown: PropType<(e: MouseEvent) => void>;
                    onMouseenter: PropType<(e: MouseEvent) => void>;
                    onMouseleave: PropType<(e: MouseEvent) => void>;
                    onSelect: PropType<import("ant-design-vue/es/vc-select/Select").SelectHandler<(string | number) | import("ant-design-vue/es/select").LabeledValue, import("ant-design-vue/es/select").DefaultOptionType>>;
                    prefixCls: StringConstructor;
                    direction: {
                        type: PropType<"ltr" | "rtl">;
                    };
                    open: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    animation: StringConstructor;
                    disabled: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    tabindex: NumberConstructor;
                    getPopupContainer: {
                        type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").RenderDOMFunc>;
                    };
                    virtual: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    dropdownMatchSelectWidth: {
                        type: PropType<number | boolean>;
                        default: any;
                    };
                    children: PropType<import("ant-design-vue/es/_util/type").VueNode[]>;
                    showAction: {
                        type: PropType<("click" | "focus")[]>;
                    };
                    id: StringConstructor;
                    placement: {
                        type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").Placement>;
                    };
                    autofocus: BooleanConstructor;
                    options: PropType<import("ant-design-vue/es/select").DefaultOptionType[]>;
                    fieldNames: PropType<import("ant-design-vue/es/vc-select/Select").FieldNames>;
                    dropdownStyle: {
                        type: PropType<import("vue").CSSProperties>;
                    };
                    dropdownClassName: StringConstructor;
                    dropdownRender: {
                        type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").DropdownRender>;
                    };
                    dropdownAlign: PropType<import("ant-design-vue/es/vc-trigger/interface").AlignType>;
                    placeholder: import("vue-types").VueTypeValidableDef<any>;
                    loading: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    showSearch: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    searchValue: StringConstructor;
                    onInputKeyDown: PropType<(e: KeyboardEvent) => void>;
                    removeIcon: import("vue-types").VueTypeValidableDef<any>;
                    maxTagCount: {
                        type: PropType<number | "responsive">;
                    };
                    maxTagTextLength: NumberConstructor;
                    maxTagPlaceholder: import("vue-types").VueTypeValidableDef<any>;
                    tokenSeparators: {
                        type: PropType<string[]>;
                    };
                    tagRender: {
                        type: PropType<(props: import("ant-design-vue/es/vc-select/BaseSelect").CustomTagProps) => any>;
                    };
                    optionLabelRender: {
                        type: PropType<(option: Record<string, any>) => any>;
                    };
                    onSearch: PropType<(value: string) => void>;
                    onClear: PropType<() => void>;
                    defaultOpen: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    onDropdownVisibleChange: {
                        type: PropType<(open: boolean) => void>;
                    };
                    allowClear: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    showArrow: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    clearIcon: import("vue-types").VueTypeValidableDef<any>;
                    onPopupScroll: PropType<(e: UIEvent) => void>;
                    menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<any>;
                    listHeight: NumberConstructor;
                    listItemHeight: NumberConstructor;
                    inputValue: StringConstructor;
                    autoClearSearchValue: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    onDeselect: PropType<import("ant-design-vue/es/vc-select/Select").SelectHandler<(string | number) | import("ant-design-vue/es/select").LabeledValue, import("ant-design-vue/es/select").DefaultOptionType>>;
                    filterOption: {
                        type: PropType<boolean | import("ant-design-vue/es/vc-select/Select").FilterFunc<import("ant-design-vue/es/select").DefaultOptionType>>;
                        default: any;
                    };
                    filterSort: PropType<(optionA: import("ant-design-vue/es/select").DefaultOptionType, optionB: import("ant-design-vue/es/select").DefaultOptionType) => number>;
                    optionFilterProp: StringConstructor;
                    optionLabelProp: StringConstructor;
                    defaultActiveFirstOption: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelInValue: {
                        type: BooleanConstructor;
                        default: any;
                    };
                }>>>;
            };
            request: {
                type: PropType<ProFieldRequestData<any>>;
            };
            render: {
                type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    valueEnum: {
                        type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                    };
                    label: {
                        type: PropType<VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => VueNode>;
            };
            renderFormItem: {
                type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    valueEnum: {
                        type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                    };
                    label: {
                        type: PropType<VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => VueNode>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                default: string;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, undefined>;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<Partial<ExtractPropTypes<{
            fieldProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    fetchDataOnSearch: {
                        type: PropType<boolean>;
                        default: boolean;
                    };
                    request: {
                        type: PropType<ProFieldRequestData<any>>;
                    };
                    option: {
                        type: PropType<(props: import("ant-design-vue/es/select").DefaultOptionType) => VueNode>;
                    };
                    default: {
                        type: PropType<(props: import("ant-design-vue/es/select").DefaultOptionType) => VueNode>;
                    };
                    fetchData: {
                        type: PropType<(value: string) => void>;
                    };
                    resetData: {
                        type: PropType<() => void>;
                    };
                    value: {
                        type: PropType<import("ant-design-vue/es/select").SelectValue>;
                    };
                    defaultValue: {
                        type: PropType<import("ant-design-vue/es/select").SelectValue>;
                    };
                    notFoundContent: import("vue-types").VueTypeValidableDef<any>;
                    suffixIcon: import("vue-types").VueTypeValidableDef<any>;
                    itemIcon: import("vue-types").VueTypeValidableDef<any>;
                    size: PropType<import("ant-design-vue/es/button").ButtonSize>;
                    mode: PropType<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
                    bordered: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    transitionName: StringConstructor;
                    choiceTransitionName: {
                        type: StringConstructor;
                        default: string;
                    };
                    'onUpdate:value': PropType<(val: import("ant-design-vue/es/select").SelectValue) => void>;
                    onFocus: {
                        type: PropType<(e: FocusEvent) => void>;
                    };
                    onBlur: {
                        type: PropType<(e: FocusEvent) => void>;
                    };
                    onChange: PropType<(value: import("ant-design-vue/es/select").SelectValue, option: import("ant-design-vue/es/select").DefaultOptionType | import("ant-design-vue/es/select").DefaultOptionType[]) => void>;
                    onKeydown: PropType<(e: KeyboardEvent) => void>;
                    onKeyup: PropType<(e: KeyboardEvent) => void>;
                    onClick: PropType<(e: MouseEvent) => void>;
                    onMousedown: PropType<(e: MouseEvent) => void>;
                    onMouseenter: PropType<(e: MouseEvent) => void>;
                    onMouseleave: PropType<(e: MouseEvent) => void>;
                    onSelect: PropType<import("ant-design-vue/es/vc-select/Select").SelectHandler<(string | number) | import("ant-design-vue/es/select").LabeledValue, import("ant-design-vue/es/select").DefaultOptionType>>;
                    prefixCls: StringConstructor;
                    direction: {
                        type: PropType<"ltr" | "rtl">;
                    };
                    open: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    animation: StringConstructor;
                    disabled: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    tabindex: NumberConstructor;
                    getPopupContainer: {
                        type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").RenderDOMFunc>;
                    };
                    virtual: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    dropdownMatchSelectWidth: {
                        type: PropType<number | boolean>;
                        default: any;
                    };
                    children: PropType<import("ant-design-vue/es/_util/type").VueNode[]>;
                    showAction: {
                        type: PropType<("click" | "focus")[]>;
                    };
                    id: StringConstructor;
                    placement: {
                        type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").Placement>;
                    };
                    autofocus: BooleanConstructor;
                    options: PropType<import("ant-design-vue/es/select").DefaultOptionType[]>;
                    fieldNames: PropType<import("ant-design-vue/es/vc-select/Select").FieldNames>;
                    dropdownStyle: {
                        type: PropType<import("vue").CSSProperties>;
                    };
                    dropdownClassName: StringConstructor;
                    dropdownRender: {
                        type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").DropdownRender>;
                    };
                    dropdownAlign: PropType<import("ant-design-vue/es/vc-trigger/interface").AlignType>;
                    placeholder: import("vue-types").VueTypeValidableDef<any>;
                    loading: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    showSearch: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    searchValue: StringConstructor;
                    onInputKeyDown: PropType<(e: KeyboardEvent) => void>;
                    removeIcon: import("vue-types").VueTypeValidableDef<any>;
                    maxTagCount: {
                        type: PropType<number | "responsive">;
                    };
                    maxTagTextLength: NumberConstructor;
                    maxTagPlaceholder: import("vue-types").VueTypeValidableDef<any>;
                    tokenSeparators: {
                        type: PropType<string[]>;
                    };
                    tagRender: {
                        type: PropType<(props: import("ant-design-vue/es/vc-select/BaseSelect").CustomTagProps) => any>;
                    };
                    optionLabelRender: {
                        type: PropType<(option: Record<string, any>) => any>;
                    };
                    onSearch: PropType<(value: string) => void>;
                    onClear: PropType<() => void>;
                    defaultOpen: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    onDropdownVisibleChange: {
                        type: PropType<(open: boolean) => void>;
                    };
                    allowClear: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    showArrow: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    clearIcon: import("vue-types").VueTypeValidableDef<any>;
                    onPopupScroll: PropType<(e: UIEvent) => void>;
                    menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<any>;
                    listHeight: NumberConstructor;
                    listItemHeight: NumberConstructor;
                    inputValue: StringConstructor;
                    autoClearSearchValue: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    onDeselect: PropType<import("ant-design-vue/es/vc-select/Select").SelectHandler<(string | number) | import("ant-design-vue/es/select").LabeledValue, import("ant-design-vue/es/select").DefaultOptionType>>;
                    filterOption: {
                        type: PropType<boolean | import("ant-design-vue/es/vc-select/Select").FilterFunc<import("ant-design-vue/es/select").DefaultOptionType>>;
                        default: any;
                    };
                    filterSort: PropType<(optionA: import("ant-design-vue/es/select").DefaultOptionType, optionB: import("ant-design-vue/es/select").DefaultOptionType) => number>;
                    optionFilterProp: StringConstructor;
                    optionLabelProp: StringConstructor;
                    defaultActiveFirstOption: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelInValue: {
                        type: BooleanConstructor;
                        default: any;
                    };
                }>>>;
            };
            request: {
                type: PropType<ProFieldRequestData<any>>;
            };
            render: {
                type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    valueEnum: {
                        type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                    };
                    label: {
                        type: PropType<VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => VueNode>;
            };
            renderFormItem: {
                type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    valueEnum: {
                        type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                    };
                    label: {
                        type: PropType<VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => VueNode>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                default: string;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>>, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {}, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<Partial<ExtractPropTypes<{
        fieldProps: {
            type: PropType<Partial<ExtractPropTypes<{
                fetchDataOnSearch: {
                    type: PropType<boolean>;
                    default: boolean;
                };
                request: {
                    type: PropType<ProFieldRequestData<any>>;
                };
                option: {
                    type: PropType<(props: import("ant-design-vue/es/select").DefaultOptionType) => VueNode>;
                };
                default: {
                    type: PropType<(props: import("ant-design-vue/es/select").DefaultOptionType) => VueNode>;
                };
                fetchData: {
                    type: PropType<(value: string) => void>;
                };
                resetData: {
                    type: PropType<() => void>;
                };
                value: {
                    type: PropType<import("ant-design-vue/es/select").SelectValue>;
                };
                defaultValue: {
                    type: PropType<import("ant-design-vue/es/select").SelectValue>;
                };
                notFoundContent: import("vue-types").VueTypeValidableDef<any>;
                suffixIcon: import("vue-types").VueTypeValidableDef<any>;
                itemIcon: import("vue-types").VueTypeValidableDef<any>;
                size: PropType<import("ant-design-vue/es/button").ButtonSize>;
                mode: PropType<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
                bordered: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                transitionName: StringConstructor;
                choiceTransitionName: {
                    type: StringConstructor;
                    default: string;
                };
                'onUpdate:value': PropType<(val: import("ant-design-vue/es/select").SelectValue) => void>;
                onFocus: {
                    type: PropType<(e: FocusEvent) => void>;
                };
                onBlur: {
                    type: PropType<(e: FocusEvent) => void>;
                };
                onChange: PropType<(value: import("ant-design-vue/es/select").SelectValue, option: import("ant-design-vue/es/select").DefaultOptionType | import("ant-design-vue/es/select").DefaultOptionType[]) => void>;
                onKeydown: PropType<(e: KeyboardEvent) => void>;
                onKeyup: PropType<(e: KeyboardEvent) => void>;
                onClick: PropType<(e: MouseEvent) => void>;
                onMousedown: PropType<(e: MouseEvent) => void>;
                onMouseenter: PropType<(e: MouseEvent) => void>;
                onMouseleave: PropType<(e: MouseEvent) => void>;
                onSelect: PropType<import("ant-design-vue/es/vc-select/Select").SelectHandler<(string | number) | import("ant-design-vue/es/select").LabeledValue, import("ant-design-vue/es/select").DefaultOptionType>>;
                prefixCls: StringConstructor;
                direction: {
                    type: PropType<"ltr" | "rtl">;
                };
                open: {
                    type: BooleanConstructor;
                    default: any;
                };
                animation: StringConstructor;
                disabled: {
                    type: BooleanConstructor;
                    default: any;
                };
                tabindex: NumberConstructor;
                getPopupContainer: {
                    type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").RenderDOMFunc>;
                };
                virtual: {
                    type: BooleanConstructor;
                    default: any;
                };
                dropdownMatchSelectWidth: {
                    type: PropType<number | boolean>;
                    default: any;
                };
                children: PropType<import("ant-design-vue/es/_util/type").VueNode[]>;
                showAction: {
                    type: PropType<("click" | "focus")[]>;
                };
                id: StringConstructor;
                placement: {
                    type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").Placement>;
                };
                autofocus: BooleanConstructor;
                options: PropType<import("ant-design-vue/es/select").DefaultOptionType[]>;
                fieldNames: PropType<import("ant-design-vue/es/vc-select/Select").FieldNames>;
                dropdownStyle: {
                    type: PropType<import("vue").CSSProperties>;
                };
                dropdownClassName: StringConstructor;
                dropdownRender: {
                    type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").DropdownRender>;
                };
                dropdownAlign: PropType<import("ant-design-vue/es/vc-trigger/interface").AlignType>;
                placeholder: import("vue-types").VueTypeValidableDef<any>;
                loading: {
                    type: BooleanConstructor;
                    default: any;
                };
                showSearch: {
                    type: BooleanConstructor;
                    default: any;
                };
                searchValue: StringConstructor;
                onInputKeyDown: PropType<(e: KeyboardEvent) => void>;
                removeIcon: import("vue-types").VueTypeValidableDef<any>;
                maxTagCount: {
                    type: PropType<number | "responsive">;
                };
                maxTagTextLength: NumberConstructor;
                maxTagPlaceholder: import("vue-types").VueTypeValidableDef<any>;
                tokenSeparators: {
                    type: PropType<string[]>;
                };
                tagRender: {
                    type: PropType<(props: import("ant-design-vue/es/vc-select/BaseSelect").CustomTagProps) => any>;
                };
                optionLabelRender: {
                    type: PropType<(option: Record<string, any>) => any>;
                };
                onSearch: PropType<(value: string) => void>;
                onClear: PropType<() => void>;
                defaultOpen: {
                    type: BooleanConstructor;
                    default: any;
                };
                onDropdownVisibleChange: {
                    type: PropType<(open: boolean) => void>;
                };
                allowClear: {
                    type: BooleanConstructor;
                    default: any;
                };
                showArrow: {
                    type: BooleanConstructor;
                    default: any;
                };
                clearIcon: import("vue-types").VueTypeValidableDef<any>;
                onPopupScroll: PropType<(e: UIEvent) => void>;
                menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<any>;
                listHeight: NumberConstructor;
                listItemHeight: NumberConstructor;
                inputValue: StringConstructor;
                autoClearSearchValue: {
                    type: BooleanConstructor;
                    default: any;
                };
                onDeselect: PropType<import("ant-design-vue/es/vc-select/Select").SelectHandler<(string | number) | import("ant-design-vue/es/select").LabeledValue, import("ant-design-vue/es/select").DefaultOptionType>>;
                filterOption: {
                    type: PropType<boolean | import("ant-design-vue/es/vc-select/Select").FilterFunc<import("ant-design-vue/es/select").DefaultOptionType>>;
                    default: any;
                };
                filterSort: PropType<(optionA: import("ant-design-vue/es/select").DefaultOptionType, optionB: import("ant-design-vue/es/select").DefaultOptionType) => number>;
                optionFilterProp: StringConstructor;
                optionLabelProp: StringConstructor;
                defaultActiveFirstOption: {
                    type: BooleanConstructor;
                    default: any;
                };
                labelInValue: {
                    type: BooleanConstructor;
                    default: any;
                };
            }>>>;
        };
        request: {
            type: PropType<ProFieldRequestData<any>>;
        };
        render: {
            type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                mode: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                };
                readonly: {
                    type: PropType<boolean>;
                };
                text: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                };
                fieldProps: {
                    type: PropType<any>;
                };
                plain: {
                    type: PropType<boolean>;
                };
                light: {
                    type: PropType<boolean>;
                };
                valueEnum: {
                    type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                };
                label: {
                    type: PropType<VueNode>;
                };
                formItemProps: {
                    type: PropType<Partial<ExtractPropTypes<{
                        htmlFor: StringConstructor;
                        prefixCls: StringConstructor;
                        label: import("vue-types").VueTypeValidableDef<any>;
                        help: import("vue-types").VueTypeValidableDef<any>;
                        extra: import("vue-types").VueTypeValidableDef<any>;
                        labelCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        wrapperCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        hasFeedback: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        colon: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                        prop: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        name: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                        autoLink: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        required: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateFirst: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                        validateTrigger: {
                            type: PropType<string | string[]>;
                        };
                        messageVariables: {
                            type: PropType<Record<string, string>>;
                        };
                        hidden: BooleanConstructor;
                        noStyle: BooleanConstructor;
                    }>> & {
                        model?: {
                            [key: string]: any;
                        } | undefined;
                    }>;
                };
            }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => VueNode>;
        };
        renderFormItem: {
            type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                mode: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                };
                readonly: {
                    type: PropType<boolean>;
                };
                text: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                };
                fieldProps: {
                    type: PropType<any>;
                };
                plain: {
                    type: PropType<boolean>;
                };
                light: {
                    type: PropType<boolean>;
                };
                valueEnum: {
                    type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                };
                label: {
                    type: PropType<VueNode>;
                };
                formItemProps: {
                    type: PropType<Partial<ExtractPropTypes<{
                        htmlFor: StringConstructor;
                        prefixCls: StringConstructor;
                        label: import("vue-types").VueTypeValidableDef<any>;
                        help: import("vue-types").VueTypeValidableDef<any>;
                        extra: import("vue-types").VueTypeValidableDef<any>;
                        labelCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        wrapperCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        hasFeedback: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        colon: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                        prop: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        name: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                        autoLink: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        required: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateFirst: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                        validateTrigger: {
                            type: PropType<string | string[]>;
                        };
                        messageVariables: {
                            type: PropType<Record<string, string>>;
                        };
                        hidden: BooleanConstructor;
                        noStyle: BooleanConstructor;
                    }>> & {
                        model?: {
                            [key: string]: any;
                        } | undefined;
                    }>;
                };
            }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => VueNode>;
        };
        text: {
            type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
        };
        mode: {
            type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            default: string;
        };
        plain: {
            type: PropType<boolean>;
        };
        light: {
            type: PropType<boolean>;
        };
        valueEnum: {
            type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
        };
        label: {
            type: PropType<VueNode>;
        };
        formItemProps: {
            type: PropType<Partial<ExtractPropTypes<{
                htmlFor: StringConstructor;
                prefixCls: StringConstructor;
                label: import("vue-types").VueTypeValidableDef<any>;
                help: import("vue-types").VueTypeValidableDef<any>;
                extra: import("vue-types").VueTypeValidableDef<any>;
                labelCol: {
                    type: PropType<Partial<ExtractPropTypes<{
                        span: (StringConstructor | NumberConstructor)[];
                        order: (StringConstructor | NumberConstructor)[];
                        offset: (StringConstructor | NumberConstructor)[];
                        push: (StringConstructor | NumberConstructor)[];
                        pull: (StringConstructor | NumberConstructor)[];
                        xs: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        sm: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        md: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        lg: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        prefixCls: StringConstructor;
                        flex: (StringConstructor | NumberConstructor)[];
                    }>> & import("vue").HTMLAttributes>;
                };
                wrapperCol: {
                    type: PropType<Partial<ExtractPropTypes<{
                        span: (StringConstructor | NumberConstructor)[];
                        order: (StringConstructor | NumberConstructor)[];
                        offset: (StringConstructor | NumberConstructor)[];
                        push: (StringConstructor | NumberConstructor)[];
                        pull: (StringConstructor | NumberConstructor)[];
                        xs: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        sm: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        md: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        lg: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        prefixCls: StringConstructor;
                        flex: (StringConstructor | NumberConstructor)[];
                    }>> & import("vue").HTMLAttributes>;
                };
                hasFeedback: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                colon: {
                    type: BooleanConstructor;
                    default: any;
                };
                labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                prop: {
                    type: PropType<string | number | (string | number)[]>;
                };
                name: {
                    type: PropType<string | number | (string | number)[]>;
                };
                rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                autoLink: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                required: {
                    type: BooleanConstructor;
                    default: any;
                };
                validateFirst: {
                    type: BooleanConstructor;
                    default: any;
                };
                validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                validateTrigger: {
                    type: PropType<string | string[]>;
                };
                messageVariables: {
                    type: PropType<Record<string, string>>;
                };
                hidden: BooleanConstructor;
                noStyle: BooleanConstructor;
            }>> & {
                model?: {
                    [key: string]: any;
                } | undefined;
            }>;
        };
    }>>> & import("vue").ShallowUnwrapRef<{}> & {
        [x: string]: never;
    } & import("vue").MethodOptions & import("vue").ComponentCustomProperties & {};
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<Partial<ExtractPropTypes<{
    fieldProps: {
        type: PropType<Partial<ExtractPropTypes<{
            fetchDataOnSearch: {
                type: PropType<boolean>;
                default: boolean;
            };
            request: {
                type: PropType<ProFieldRequestData<any>>;
            };
            option: {
                type: PropType<(props: import("ant-design-vue/es/select").DefaultOptionType) => VueNode>;
            };
            default: {
                type: PropType<(props: import("ant-design-vue/es/select").DefaultOptionType) => VueNode>;
            };
            fetchData: {
                type: PropType<(value: string) => void>;
            };
            resetData: {
                type: PropType<() => void>;
            };
            value: {
                type: PropType<import("ant-design-vue/es/select").SelectValue>;
            };
            defaultValue: {
                type: PropType<import("ant-design-vue/es/select").SelectValue>;
            };
            notFoundContent: import("vue-types").VueTypeValidableDef<any>;
            suffixIcon: import("vue-types").VueTypeValidableDef<any>;
            itemIcon: import("vue-types").VueTypeValidableDef<any>;
            size: PropType<import("ant-design-vue/es/button").ButtonSize>;
            mode: PropType<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
            bordered: {
                type: BooleanConstructor;
                default: boolean;
            };
            transitionName: StringConstructor;
            choiceTransitionName: {
                type: StringConstructor;
                default: string;
            };
            'onUpdate:value': PropType<(val: import("ant-design-vue/es/select").SelectValue) => void>;
            onFocus: {
                type: PropType<(e: FocusEvent) => void>;
            };
            onBlur: {
                type: PropType<(e: FocusEvent) => void>;
            };
            onChange: PropType<(value: import("ant-design-vue/es/select").SelectValue, option: import("ant-design-vue/es/select").DefaultOptionType | import("ant-design-vue/es/select").DefaultOptionType[]) => void>;
            onKeydown: PropType<(e: KeyboardEvent) => void>;
            onKeyup: PropType<(e: KeyboardEvent) => void>;
            onClick: PropType<(e: MouseEvent) => void>;
            onMousedown: PropType<(e: MouseEvent) => void>;
            onMouseenter: PropType<(e: MouseEvent) => void>;
            onMouseleave: PropType<(e: MouseEvent) => void>;
            onSelect: PropType<import("ant-design-vue/es/vc-select/Select").SelectHandler<(string | number) | import("ant-design-vue/es/select").LabeledValue, import("ant-design-vue/es/select").DefaultOptionType>>;
            prefixCls: StringConstructor;
            direction: {
                type: PropType<"ltr" | "rtl">;
            };
            open: {
                type: BooleanConstructor;
                default: any;
            };
            animation: StringConstructor;
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            tabindex: NumberConstructor;
            getPopupContainer: {
                type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").RenderDOMFunc>;
            };
            virtual: {
                type: BooleanConstructor;
                default: any;
            };
            dropdownMatchSelectWidth: {
                type: PropType<number | boolean>;
                default: any;
            };
            children: PropType<import("ant-design-vue/es/_util/type").VueNode[]>;
            showAction: {
                type: PropType<("click" | "focus")[]>;
            };
            id: StringConstructor;
            placement: {
                type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").Placement>;
            };
            autofocus: BooleanConstructor;
            options: PropType<import("ant-design-vue/es/select").DefaultOptionType[]>;
            fieldNames: PropType<import("ant-design-vue/es/vc-select/Select").FieldNames>;
            dropdownStyle: {
                type: PropType<import("vue").CSSProperties>;
            };
            dropdownClassName: StringConstructor;
            dropdownRender: {
                type: PropType<import("ant-design-vue/es/vc-select/BaseSelect").DropdownRender>;
            };
            dropdownAlign: PropType<import("ant-design-vue/es/vc-trigger/interface").AlignType>;
            placeholder: import("vue-types").VueTypeValidableDef<any>;
            loading: {
                type: BooleanConstructor;
                default: any;
            };
            showSearch: {
                type: BooleanConstructor;
                default: any;
            };
            searchValue: StringConstructor;
            onInputKeyDown: PropType<(e: KeyboardEvent) => void>;
            removeIcon: import("vue-types").VueTypeValidableDef<any>;
            maxTagCount: {
                type: PropType<number | "responsive">;
            };
            maxTagTextLength: NumberConstructor;
            maxTagPlaceholder: import("vue-types").VueTypeValidableDef<any>;
            tokenSeparators: {
                type: PropType<string[]>;
            };
            tagRender: {
                type: PropType<(props: import("ant-design-vue/es/vc-select/BaseSelect").CustomTagProps) => any>;
            };
            optionLabelRender: {
                type: PropType<(option: Record<string, any>) => any>;
            };
            onSearch: PropType<(value: string) => void>;
            onClear: PropType<() => void>;
            defaultOpen: {
                type: BooleanConstructor;
                default: any;
            };
            onDropdownVisibleChange: {
                type: PropType<(open: boolean) => void>;
            };
            allowClear: {
                type: BooleanConstructor;
                default: any;
            };
            showArrow: {
                type: BooleanConstructor;
                default: any;
            };
            clearIcon: import("vue-types").VueTypeValidableDef<any>;
            onPopupScroll: PropType<(e: UIEvent) => void>;
            menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<any>;
            listHeight: NumberConstructor;
            listItemHeight: NumberConstructor;
            inputValue: StringConstructor;
            autoClearSearchValue: {
                type: BooleanConstructor;
                default: any;
            };
            onDeselect: PropType<import("ant-design-vue/es/vc-select/Select").SelectHandler<(string | number) | import("ant-design-vue/es/select").LabeledValue, import("ant-design-vue/es/select").DefaultOptionType>>;
            filterOption: {
                type: PropType<boolean | import("ant-design-vue/es/vc-select/Select").FilterFunc<import("ant-design-vue/es/select").DefaultOptionType>>;
                default: any;
            };
            filterSort: PropType<(optionA: import("ant-design-vue/es/select").DefaultOptionType, optionB: import("ant-design-vue/es/select").DefaultOptionType) => number>;
            optionFilterProp: StringConstructor;
            optionLabelProp: StringConstructor;
            defaultActiveFirstOption: {
                type: BooleanConstructor;
                default: any;
            };
            labelInValue: {
                type: BooleanConstructor;
                default: any;
            };
        }>>>;
    };
    request: {
        type: PropType<ProFieldRequestData<any>>;
    };
    render: {
        type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => VueNode>;
    };
    renderFormItem: {
        type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => VueNode>;
    };
    text: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
    };
    mode: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
        default: string;
    };
    plain: {
        type: PropType<boolean>;
    };
    light: {
        type: PropType<boolean>;
    };
    valueEnum: {
        type: PropType<ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
    };
    label: {
        type: PropType<VueNode>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: {
                [key: string]: any;
            } | undefined;
        }>;
    };
}>>>, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin;
export default _default;
