import type { PropType, ExtractPropTypes } from "vue";
import type { ProFieldFCMode, VueNode, ProFieldTextType, ProSchemaValueEnumObj, ProSchemaValueEnumMap } from "@ant-design-vue/pro-utils";
import type { FormProps } from "ant-design-vue";
export declare const baseProFieldFC: {
    /** 值的类型 */
    text: {
        type: PropType<ProFieldTextType>;
    };
    fieldProps: {
        type: PropType<any>;
    };
    /** 模式类型 */
    mode: {
        type: PropType<ProFieldFCMode>;
        default: string;
    };
    /** 简约模式 */
    plain: {
        type: PropType<boolean>;
    };
    /** 轻量模式 */
    light: {
        type: PropType<boolean>;
    };
    /** 映射值的类型 */
    valueEnum: {
        type: PropType<ProSchemaValueEnumObj | ProSchemaValueEnumMap>;
    };
    /** Label */
    label: {
        type: PropType<VueNode>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: FormProps["model"];
        }>;
    };
};
export declare const proRenderFieldPropsType: {
    render: {
        type: PropType<(text: ProFieldTextType, props: ProFieldFCRenderProps, dom: ProFieldTextType) => VueNode>;
    };
    renderFormItem: {
        type: PropType<(text: ProFieldTextType, props: ProFieldFCRenderProps, dom: ProFieldTextType) => VueNode>;
    };
};
export declare const proFieldFC: {
    render: {
        type: PropType<(text: ProFieldTextType, props: ProFieldFCRenderProps, dom: ProFieldTextType) => VueNode>;
    };
    renderFormItem: {
        type: PropType<(text: ProFieldTextType, props: ProFieldFCRenderProps, dom: ProFieldTextType) => VueNode>;
    };
    /** 值的类型 */
    text: {
        type: PropType<ProFieldTextType>;
    };
    fieldProps: {
        type: PropType<any>;
    };
    /** 模式类型 */
    mode: {
        type: PropType<ProFieldFCMode>;
        default: string;
    };
    /** 简约模式 */
    plain: {
        type: PropType<boolean>;
    };
    /** 轻量模式 */
    light: {
        type: PropType<boolean>;
    };
    /** 映射值的类型 */
    valueEnum: {
        type: PropType<ProSchemaValueEnumObj | ProSchemaValueEnumMap>;
    };
    /** Label */
    label: {
        type: PropType<VueNode>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: FormProps["model"];
        }>;
    };
};
export declare const proFieldFCRenderProps: {
    mode: {
        type: PropType<ProFieldFCMode>;
    };
    readonly: {
        type: PropType<boolean>;
    };
    /** 值的类型 */
    text: {
        type: PropType<ProFieldTextType>;
    };
    fieldProps: {
        type: PropType<any>;
    };
    /** 简约模式 */
    plain: {
        type: PropType<boolean>;
    };
    /** 轻量模式 */
    light: {
        type: PropType<boolean>;
    };
    /** 映射值的类型 */
    valueEnum: {
        type: PropType<ProSchemaValueEnumObj | ProSchemaValueEnumMap>;
    };
    /** Label */
    label: {
        type: PropType<VueNode>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: FormProps["model"];
        }>;
    };
};
export declare type ProFieldFCRenderProps = Partial<ExtractPropTypes<typeof proFieldFCRenderProps>>;
export declare type ProFieldFC = Partial<ExtractPropTypes<typeof proFieldFC>>;
export declare type BaseProFieldFC = Partial<ExtractPropTypes<typeof baseProFieldFC>>;
export declare type ProRenderFieldPropsType = Partial<ExtractPropTypes<typeof proRenderFieldPropsType>>;
