import { PropType, ExtractPropTypes, type Plugin } from 'vue';
import { type ProFieldRequestData, ProFieldTextType, ProFieldValueType, ProFieldValueObjectType, VueNode } from '@ant-design-vue/pro-utils';
import { baseProFieldFC, proRenderFieldPropsType, proFieldFC, proFieldFCRenderProps, type ProFieldFCRenderProps, ProFieldFC, BaseProFieldFC, ProRenderFieldPropsType } from './components/typings';
export { baseProFieldFC, proRenderFieldPropsType, proFieldFC, proFieldFCRenderProps, type ProFieldFCRenderProps, type ProFieldFC, type BaseProFieldFC, type ProRenderFieldPropsType, };
import { textFieldProps, type TextFieldProps } from './components/Text/types';
import FieldText from './components/Text';
export { FieldText, textFieldProps, type TextFieldProps };
import { passwordTextProps, type PasswordTextProps } from './components/Password/types';
import FieldPassword from './components/Password';
export { FieldPassword, passwordTextProps, type PasswordTextProps };
import { searchSelectProps, type SearchSelectProps } from './components/Select/SearchSelect/types';
import FieldSelect from './components/Select';
export { FieldSelect, searchSelectProps, type SearchSelectProps };
import { fieldDatePickerProps, type FieldDatePickerProps } from './components/DatePicker/types';
import FieldDatePicker, { slots as fieldDatePickerSlots } from './components/DatePicker';
export { FieldDatePicker, fieldDatePickerProps, fieldDatePickerSlots, FieldDatePickerProps };
import { fieldRangePickerProps, type FieldRangePickerProps } from './components/RangePicker/types';
import FieldRangePicker, { slots as rangePickerSlots } from './components/RangePicker';
export { FieldRangePicker, fieldRangePickerProps, rangePickerSlots, FieldRangePickerProps };
import { fieldTimePickerProps, type FieldTimePickerProps } from './components/TimePicker/types';
import FieldTimePicker, { slots as timePickerSlots } from './components/TimePicker';
export { FieldTimePicker, fieldTimePickerProps, timePickerSlots, FieldTimePickerProps };
import { fieldTimeRangePickerProps, type FieldTimeRangePickerProps } from './components/TimeRangePicker/types';
import FieldTimeRangePicker, { slots as timeRangePickerSlots } from './components/TimeRangePicker';
export { FieldTimeRangePicker, fieldTimeRangePickerProps, timeRangePickerSlots, FieldTimeRangePickerProps };
import { fieldRadioProps, type FieldRadioProps } from './components/Radio/types';
import FieldRadio from './components/Radio';
export { FieldRadio, fieldRadioProps, FieldRadioProps };
import './default.less';
import './style.less';
export declare const renderProps: {
    emptyText: {
        type: PropType<VueNode>;
    };
    request: {
        type: PropType<ProFieldRequestData<any>>;
    };
    render: {
        type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: ProFieldTextType) => VueNode>;
    };
    renderFormItem: {
        type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: ProFieldTextType) => VueNode>;
    };
    label: {
        type: PropType<VueNode>;
    };
    mode: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
    };
    readonly: {
        type: PropType<boolean>;
    };
    fieldProps: {
        type: PropType<any>;
    };
    plain: {
        type: PropType<boolean>;
    };
    light: {
        type: PropType<boolean>;
    };
    valueEnum: {
        type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: {
                [key: string]: any;
            } | undefined;
        }>;
    };
};
export declare type RenderProps = Partial<ExtractPropTypes<typeof renderProps>>;
export declare const proFieldProps: {
    text: {
        type: PropType<ProFieldTextType>;
    };
    valueType: {
        type: PropType<ProFieldValueType | ProFieldValueObjectType>;
    };
    emptyText: {
        type: PropType<VueNode>;
    };
    request: {
        type: PropType<ProFieldRequestData<any>>;
    };
    render: {
        type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: ProFieldTextType) => VueNode>;
    };
    renderFormItem: {
        type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: ProFieldTextType) => VueNode>;
    };
    label: {
        type: PropType<VueNode>;
    };
    mode: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
    };
    readonly: {
        type: PropType<boolean>;
    };
    fieldProps: {
        type: PropType<any>;
    };
    plain: {
        type: PropType<boolean>;
    };
    light: {
        type: PropType<boolean>;
    };
    valueEnum: {
        type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: {
                [key: string]: any;
            } | undefined;
        }>;
    };
};
export declare type ProFieldPropsType = Partial<ExtractPropTypes<typeof proFieldProps>>;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            fieldProps?: any;
        }> & Omit<Readonly<Partial<ExtractPropTypes<{
            text: {
                type: PropType<ProFieldTextType>;
            };
            valueType: {
                type: PropType<ProFieldValueType | ProFieldValueObjectType>;
            };
            emptyText: {
                type: PropType<VueNode>;
            };
            request: {
                type: PropType<ProFieldRequestData<any>>;
            };
            render: {
                type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    valueEnum: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                    };
                    label: {
                        type: PropType<VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: ProFieldTextType) => VueNode>;
            };
            renderFormItem: {
                type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    valueEnum: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                    };
                    label: {
                        type: PropType<VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: ProFieldTextType) => VueNode>;
            };
            label: {
                type: PropType<VueNode>;
            };
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "fieldProps" | undefined>;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<Partial<ExtractPropTypes<{
            text: {
                type: PropType<ProFieldTextType>;
            };
            valueType: {
                type: PropType<ProFieldValueType | ProFieldValueObjectType>;
            };
            emptyText: {
                type: PropType<VueNode>;
            };
            request: {
                type: PropType<ProFieldRequestData<any>>;
            };
            render: {
                type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    valueEnum: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                    };
                    label: {
                        type: PropType<VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: ProFieldTextType) => VueNode>;
            };
            renderFormItem: {
                type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    valueEnum: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                    };
                    label: {
                        type: PropType<VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: ProFieldTextType) => VueNode>;
            };
            label: {
                type: PropType<VueNode>;
            };
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>>, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
            fieldProps?: any;
        }, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<Partial<ExtractPropTypes<{
        text: {
            type: PropType<ProFieldTextType>;
        };
        valueType: {
            type: PropType<ProFieldValueType | ProFieldValueObjectType>;
        };
        emptyText: {
            type: PropType<VueNode>;
        };
        request: {
            type: PropType<ProFieldRequestData<any>>;
        };
        render: {
            type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
                mode: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                };
                readonly: {
                    type: PropType<boolean>;
                };
                text: {
                    type: PropType<ProFieldTextType>;
                };
                fieldProps: {
                    type: PropType<any>;
                };
                plain: {
                    type: PropType<boolean>;
                };
                light: {
                    type: PropType<boolean>;
                };
                valueEnum: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                };
                label: {
                    type: PropType<VueNode>;
                };
                formItemProps: {
                    type: PropType<Partial<ExtractPropTypes<{
                        htmlFor: StringConstructor;
                        prefixCls: StringConstructor;
                        label: import("vue-types").VueTypeValidableDef<any>;
                        help: import("vue-types").VueTypeValidableDef<any>;
                        extra: import("vue-types").VueTypeValidableDef<any>;
                        labelCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        wrapperCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        hasFeedback: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        colon: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                        prop: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        name: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                        autoLink: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        required: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateFirst: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                        validateTrigger: {
                            type: PropType<string | string[]>;
                        };
                        messageVariables: {
                            type: PropType<Record<string, string>>;
                        };
                        hidden: BooleanConstructor;
                        noStyle: BooleanConstructor;
                    }>> & {
                        model?: {
                            [key: string]: any;
                        } | undefined;
                    }>;
                };
            }>>, dom: ProFieldTextType) => VueNode>;
        };
        renderFormItem: {
            type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
                mode: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                };
                readonly: {
                    type: PropType<boolean>;
                };
                text: {
                    type: PropType<ProFieldTextType>;
                };
                fieldProps: {
                    type: PropType<any>;
                };
                plain: {
                    type: PropType<boolean>;
                };
                light: {
                    type: PropType<boolean>;
                };
                valueEnum: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
                };
                label: {
                    type: PropType<VueNode>;
                };
                formItemProps: {
                    type: PropType<Partial<ExtractPropTypes<{
                        htmlFor: StringConstructor;
                        prefixCls: StringConstructor;
                        label: import("vue-types").VueTypeValidableDef<any>;
                        help: import("vue-types").VueTypeValidableDef<any>;
                        extra: import("vue-types").VueTypeValidableDef<any>;
                        labelCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        wrapperCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        hasFeedback: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        colon: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                        prop: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        name: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                        autoLink: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        required: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateFirst: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                        validateTrigger: {
                            type: PropType<string | string[]>;
                        };
                        messageVariables: {
                            type: PropType<Record<string, string>>;
                        };
                        hidden: BooleanConstructor;
                        noStyle: BooleanConstructor;
                    }>> & {
                        model?: {
                            [key: string]: any;
                        } | undefined;
                    }>;
                };
            }>>, dom: ProFieldTextType) => VueNode>;
        };
        label: {
            type: PropType<VueNode>;
        };
        mode: {
            type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
        };
        readonly: {
            type: PropType<boolean>;
        };
        fieldProps: {
            type: PropType<any>;
        };
        plain: {
            type: PropType<boolean>;
        };
        light: {
            type: PropType<boolean>;
        };
        valueEnum: {
            type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
        };
        formItemProps: {
            type: PropType<Partial<ExtractPropTypes<{
                htmlFor: StringConstructor;
                prefixCls: StringConstructor;
                label: import("vue-types").VueTypeValidableDef<any>;
                help: import("vue-types").VueTypeValidableDef<any>;
                extra: import("vue-types").VueTypeValidableDef<any>;
                labelCol: {
                    type: PropType<Partial<ExtractPropTypes<{
                        span: (StringConstructor | NumberConstructor)[];
                        order: (StringConstructor | NumberConstructor)[];
                        offset: (StringConstructor | NumberConstructor)[];
                        push: (StringConstructor | NumberConstructor)[];
                        pull: (StringConstructor | NumberConstructor)[];
                        xs: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        sm: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        md: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        lg: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        prefixCls: StringConstructor;
                        flex: (StringConstructor | NumberConstructor)[];
                    }>> & import("vue").HTMLAttributes>;
                };
                wrapperCol: {
                    type: PropType<Partial<ExtractPropTypes<{
                        span: (StringConstructor | NumberConstructor)[];
                        order: (StringConstructor | NumberConstructor)[];
                        offset: (StringConstructor | NumberConstructor)[];
                        push: (StringConstructor | NumberConstructor)[];
                        pull: (StringConstructor | NumberConstructor)[];
                        xs: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        sm: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        md: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        lg: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        prefixCls: StringConstructor;
                        flex: (StringConstructor | NumberConstructor)[];
                    }>> & import("vue").HTMLAttributes>;
                };
                hasFeedback: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                colon: {
                    type: BooleanConstructor;
                    default: any;
                };
                labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                prop: {
                    type: PropType<string | number | (string | number)[]>;
                };
                name: {
                    type: PropType<string | number | (string | number)[]>;
                };
                rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                autoLink: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                required: {
                    type: BooleanConstructor;
                    default: any;
                };
                validateFirst: {
                    type: BooleanConstructor;
                    default: any;
                };
                validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                validateTrigger: {
                    type: PropType<string | string[]>;
                };
                messageVariables: {
                    type: PropType<Record<string, string>>;
                };
                hidden: BooleanConstructor;
                noStyle: BooleanConstructor;
            }>> & {
                model?: {
                    [key: string]: any;
                } | undefined;
            }>;
        };
    }>>> & import("vue").ShallowUnwrapRef<{}> & {
        [x: string]: never;
    } & import("vue").MethodOptions & import("vue").ComponentCustomProperties & {};
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<Partial<ExtractPropTypes<{
    text: {
        type: PropType<ProFieldTextType>;
    };
    valueType: {
        type: PropType<ProFieldValueType | ProFieldValueObjectType>;
    };
    emptyText: {
        type: PropType<VueNode>;
    };
    request: {
        type: PropType<ProFieldRequestData<any>>;
    };
    render: {
        type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: ProFieldTextType) => VueNode>;
    };
    renderFormItem: {
        type: PropType<(text: ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            valueEnum: {
                type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
            };
            label: {
                type: PropType<VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: ProFieldTextType) => VueNode>;
    };
    label: {
        type: PropType<VueNode>;
    };
    mode: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
    };
    readonly: {
        type: PropType<boolean>;
    };
    fieldProps: {
        type: PropType<any>;
    };
    plain: {
        type: PropType<boolean>;
    };
    light: {
        type: PropType<boolean>;
    };
    valueEnum: {
        type: PropType<import("@ant-design-vue/pro-utils").ProSchemaValueEnumObj | import("@ant-design-vue/pro-utils").ProSchemaValueEnumMap>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: {
                [key: string]: any;
            } | undefined;
        }>;
    };
}>>>, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    fieldProps?: any;
}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin;
export default _default;
